Skip to main content
`Ctrl`+`K`

# DMForestGetBaseDM

Get the base `DM` of a `DMFOREST`

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetBaseDM(DM dm, DM *base)

Not Collective

## Input Parameter

- dm - the forest

## Output Parameter

- base - the base `DM` of the forest

## Notes

After DMSetUp(), the base DM will be redundantly distributed across MPI processes

The forest will be hierarchically refined from the base, and all refinements/coarsenings of the forest will share its base. In general, two forest must share a base to be comparable, to do things like construct interpolators.

## See Also

`DM`, `DMFOREST`, `DMForestSetBaseDM()`

## Level

intermediate

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages